import influxframework


def execute():
	influxframework.reload_doc("core", "doctype", "domain")
	influxframework.reload_doc("core", "doctype", "has_domain")
	active_domains = influxframework.get_active_domains()
	all_domains = influxframework.get_all("Domain")

	for d in all_domains:
		if d.name not in active_domains:
			inactive_domain = influxframework.get_doc("Domain", d.name)
			inactive_domain.setup_data()
			inactive_domain.remove_custom_field()
